Subject: bug#69809: 30.0.50; flymake: error in process sentinel

From: Spencer Baugh <[email-masked]>
Date: Wed, 24 Jul 2024 12:25:00 -0400

João Távora <[email-masked]> writes:
> On Wed, Jul 17, 2024 at 6:38 PM João Távora <[email-masked]> wrote:
>
>> > > Anyway, can you try this patch?
>> >
>> > That seems to work too :)
>>
>> I understand the source of _this_ problem, and the line I changed
>> addresses it.  My worry is that my fix also creates more problems,
>> but it seems cleaner.
>
> Indeed it did create some subtle problems with "foreign diagnostics".
> I made a better patch, attached. It should fix the Eglot/flymake-cc
> scenario and be a net improvement for Flymake.  Also adds a new
> Flymake test.
>
>  Spencer please have a look and push it if you agree.

Yes, this seems good to me, thank you for the improved patch!

I unfortunately don't have commit access, so perhaps someone else can
install the patch.